Request

Response

    Get All Collaborators
    GET

    clients/{id}/collaborators

    Lists the collaborators of the specified application. You must be at least be a VIEWER of the application to call this operation.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/applications/v2/clients/{id}/collaborators
    Authentication Context
    User context required
    Required OAuth Scopes
    application:client:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    id
    string
    The client ID of the application you are querying.

    Request

    Query String Parameters

    limit
    int
    The maximum number of results to return in a single page.

    Response

    HTTP Status Code Summary

    200
    OK
    Successfully retrieved all collaborators on an application.
    401
    Unauthorized
    The request did not have a valid access token. Obtain a fresh access token and try again.
    403
    Forbidden
    You do not have permission to perform the operation specified by the request.
    404
    Not Found
    Not Found

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    Specifies if the response has been split in to multiple pages, and if so the details.
    limit
    number
    The limit value supplied in the request.
    nextUrl
    string
    Link that will return the next page of data. If not included, this is the last page of data.
    previousUrl
    string
    Link that will return the previous page of data. If the previous link is being returned then absence indicates this being the first page.
    results
    array: object
    An array of objects where each object contains details of each collaborator of an app.
    userId
    string
    The user ID of the collaborator.

    Max length: 100

    firstName
    string
    The collaborator’s first name.

    Max length: 150

    lastName
    string
    The collaborator’s last name

    Max length: 150

    email
    string
    The collaborator’s email address.

    Max length: 254

    accessLevel
    enum:string
    The collaborator’s access level. This is also known as the role in the APS Developer Portal UI. Possible values are:
    • VIEWER - can view clients
    • EDITOR - can edit clients
    createdAt
    datetime: ISO 8601
    The time the collaborator accepted the invitation for this app.

    Example

    Successfully retrieved all collaborators on an application.

    Request

    curl -v 'https://developer.api.autodesk.com/applications/v2/clients/:id/collaborators' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 100,
        "nextUrl": "https://developer.api.autodesk.com/~NEXT_PAGE~",
        "previousUrl": "https://developer.api.autodesk.com/~PREVIOUS_PAGE~"
      },
      "results": [
        {
          "userId": "389JJQ8PJSMJ",
          "firstName": "Ada",
          "lastName": "Lovelace",
          "email": "ada.lovelace@example.com",
          "accessLevel": "VIEWER",
          "createdAt": "2019-01-01T00:00:00Z"
        }
      ]
    }
    
    Show More